package com.ss.android.ugc.aweme.commercialize.e_commerce.service;

import X.0AA;
import X.C0665KCq;
import X.C0754KGb;
import X.C3023L5i;
import X.KT7;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.fragment.AmeBaseFragment;
import java.util.List;
import java.util.Map;

public interface IShoppingAdsService {
    static {
        Covode.recordClassIndex(58460);
    }

    AmeBaseFragment LIZ(String str);

    List<C0665KCq> LIZ(KT7 kt7);

    void LIZ(0AA r1, C3023L5i l5i, C0754KGb kGb);

    boolean LIZ();

    boolean LIZ(Context context);

    boolean LIZIZ();

    Map<String, Class<?>> LIZJ();
}
